Skip to content

Search images

POST
/image/search

Uses Meilisearch. At most 50 conditions are accepted. Pagination defaults to offset 0 and limit 24; invalid order values fall back to upload date descending.

Parameters

Query Parameters

offset

Number of rows to skip.

Type
integer
Format
"int32"
Minimum
0
Default
0
limit

Maximum number of rows. The backend caps this value at 24.

Type
integer
Format
"int32"
Minimum
1
Maximum
24
Default
24

Request Body

application/json
JSON
{
  
"conditions": [
  
  
{
  
  
  
"type": "string",
  
  
  
"value": "string"
  
  
}
  
],
  
"orderBy": "uploadDate",
  
"order": "desc"
}

Responses

Search results

application/json
JSON
{
  
"error": "string",
  
"data": {
  
  
"total": 0,
  
  
"images": [
  
  
  
{
  
  
  
  
"text": "string",
  
  
  
  
"rating": "string",
  
  
  
  
"id": 0,
  
  
  
  
"imageUrl": "string",
  
  
  
  
"tags": [
  
  
  
  
  
"string"
  
  
  
  
]
  
  
  
}
  
  
]
  
}
}

Playground

Variables
Key
Value
Body

Samples

Powered by VitePress OpenAPI